#
# spec file for package python-datrie
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-datrie
Version:        0.7.1
Release:        lp150.2.15
Summary:        Trie data structure for Python
License:        LGPL-2.1+
Group:          Development/Languages/Python
Url:            https://github.com/kmike/datrie
Source:         https://files.pythonhosted.org/packages/source/d/datrie/datrie-%{version}.tar.gz
Patch0:         datrie-bigendian.patch
BuildRequires:  %{python_module Cython >= 0.26.1}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module hypothesis}
BuildRequires:  %{python_module pytest-runner}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%python_subpackages

%description
A trie data structure for Python (2.x and 3.x). Uses libdatrie.

%prep
%setup -q -n datrie-%{version}
%patch0 -p1
pushd src
cython datrie.pyx
popd

%build
%python_build

%install
rm -rf %{buildroot}/usr/lib/debug/  # drop debuginfo which hindered packaging
%python_install

%check
%python_exec setup.py test

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst COPYING CHANGES.rst
%{python_sitearch}/*

%changelog
* Thu Mar 15 2018 ro@suse.de
- add datrie-bigendian.patch (bsc#1085526)
  to use utf_32_be instead of utf_32_le on bigendian machines
* Tue Apr 11 2017 jengelh@inai.de
- Remove extreme wording from description.
* Fri Apr  7 2017 jmatejek@suse.com
- update license to LGPL-2.1+
* Sat Mar  4 2017 rjschwei@suse.com
- Convert to single-spec
* Sun Jul 17 2016 arun@gmx.de
- initial version 0.7.1
